Allow to build Sonnet without Qt5Widgets
ClosedPublic

Authored by vkrause on Jul 30 2017, 11:42 AM.

Details

Summary

This is useful for cross-compilation, where we only need the QtCore-only
parsetrigrams build tool on the host and avoids having to pull in a full
graphics stack for the host build in Yocto.

Diff Detail

Repository
R246 Sonnet
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
vkrause created this revision.Jul 30 2017, 11:42 AM
Restricted Application added a project: Frameworks. · View Herald TranscriptJul 30 2017, 11:42 AM
aacid added a subscriber: aacid.Jul 30 2017, 9:30 PM

I would really prefer if the option-ability of Widgets was enabled by a setting or something, we really want to avoid people not having widgets installed and getting a subpar build unless they really really ask for it

Fair point, I'll add options for this.

Any preferences on the naming? [KF5|<framework name>]_[NO|USE]_[WIDGETS|GUI|...]? I'm leaning towards the _USE_ variant, on by default obviously, to avoid double negative conditions in the code.

aacid added a comment.Jul 31 2017, 8:07 PM

Any preferences on the naming? [KF5|<framework name>]_[NO|USE]_[WIDGETS|GUI|...]? I'm leaning towards the _USE_ variant, on by default obviously, to avoid double negative conditions in the code.

No strong opinion from my side, USE_WIDGETS seems pretty self explanatory to me

vkrause updated this revision to Diff 17513.Aug 1 2017, 6:47 PM

Add explicit option to disable the widget dependency.

aacid accepted this revision.Aug 2 2017, 6:03 PM
This revision is now accepted and ready to land.Aug 2 2017, 6:03 PM
This revision was automatically updated to reflect the committed changes.